<!--top menu-->
<ng-container *ngIf="location === 'top'">
  <button
    mat-button
    [matMenuTriggerFor]="appMenu"
  >
    <fa-icon *ngIf="menuItem.faIcon" [icon]="menuItem.faIcon" [size]="(menuItem.faSize ? menuItem.faSize : '1x')"></fa-icon>
    &nbsp;{{ menuItem.name }}
    <fa-icon [icon]="faChevronDown"></fa-icon>
  </button>

  <mat-menu #appMenu>
    <ng-container *ngFor="let subMenu of menuItem.childMenuItems">
      <mat-divider *ngIf="(isMenuVisibleMethod(subMenu) | async) && subMenu.name === '-'" ></mat-divider>
      <button
        mat-menu-item
        [routerLink]="subMenu.routerLink"
        [routerLinkActive]="getActiveRouterLink()"
        *ngIf="(isMenuVisibleMethod(subMenu) | async) && subMenu.name !== '-'"
        (click)="onMenuClicked(subMenu)"
        [matTooltip]="menuItem.tooltipText"
      >
        <fa-icon *ngIf="subMenu.faIcon" [icon]="subMenu.faIcon" [size]="(subMenu.faSize ? subMenu.faSize : '1x')" ></fa-icon>
        &nbsp;{{ subMenu.name }}
      </button>
    </ng-container>
  </mat-menu>
</ng-container>

<!--left menu-->
<ng-container *ngIf="location === 'left'">
  <mat-accordion>
    <mat-expansion-panel>
      <mat-expansion-panel-header style="padding-left: 16px;">
        <mat-panel-title>
          <div>
            <fa-icon *ngIf="menuItem.faIcon" [icon]="menuItem.faIcon" [size]="(menuItem.faSize ? menuItem.faSize : '1x')"></fa-icon>
            &nbsp;{{ menuItem.name }}
          </div>
        </mat-panel-title>
      </mat-expansion-panel-header>
      <ng-container *ngFor="let subMenu of menuItem.childMenuItems">
        <mat-divider *ngIf="(isMenuVisibleMethod(subMenu) | async) && subMenu.name === '-'" ></mat-divider>
        <a mat-menu-item
           [routerLink]="subMenu.routerLink" [routerLinkActive]="getActiveRouterLink()"
           *ngIf="(isMenuVisibleMethod(subMenu) | async) && subMenu.name !== '-'"
           (click)="onMenuClicked(subMenu)"
           [matTooltip]="menuItem.tooltipText"
        >
          <fa-icon *ngIf="subMenu.faIcon" [icon]="subMenu.faIcon" [size]="(subMenu.faSize ? subMenu.faSize : '1x')" ></fa-icon>
          &nbsp;{{ subMenu.name }}
        </a>
      </ng-container>
    </mat-expansion-panel>
  </mat-accordion>

</ng-container>
